Xerces2 Implementation: Class XMLEntityManager.ExternalEntity

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Class XMLEntityManager.ExternalEntity

    java.lang.Object
      |
      +--org.apache.xerces.impl.XMLEntityManager.Entity
            |
            +--org.apache.xerces.impl.XMLEntityManager.ExternalEntity

Enclosing class:
  XMLEntityManager

protected static class XMLEntityManager.ExternalEntity
extends XMLEntityManager.Entity

External entity.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Author:
  Andy Clark, IBM

Field Summary
`org.apache.xerces.xni.XMLResourceIdentifier` | `entityLocation` container for all relevant entity location information.
`java.lang.String` | `notation` Notation name for unparsed entity.

Fields inherited from class org.apache.xerces.impl.XMLEntityManager.Entity
`inExternalSubset, name`

Constructor Summary
`XMLEntityManager.ExternalEntity()` Default constructor.
`XMLEntityManager.ExternalEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier entityLocation, java.lang.String notation, boolean inExternalSubset)` Constructs an internal entity.

Method Summary
`void` | `clear()` Clears the entity.
`boolean` | `isExternal()` Returns true if this is an external entity.
`boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`void` | `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.
`void` | `setValues(XMLEntityManager.ExternalEntity entity)` Sets the values of the entity.

Methods inherited from class org.apache.xerces.impl.XMLEntityManager.Entity
`isEntityDeclInExternalSubset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityLocation

    public org.apache.xerces.xni.XMLResourceIdentifier entityLocation

  container for all relevant entity location information.

### notation

    public java.lang.String notation

  Notation name for unparsed entity.

Constructor Detail

### XMLEntityManager.ExternalEntity

    public XMLEntityManager.ExternalEntity()

  Default constructor.

### XMLEntityManager.ExternalEntity

    public XMLEntityManager.ExternalEntity(java.lang.String name,
                                           org.apache.xerces.xni.XMLResourceIdentifier entityLocation,
                                           java.lang.String notation,
                                           boolean inExternalSubset)

  Constructs an internal entity.

Method Detail

### isExternal

    public final boolean isExternal()

  Returns true if this is an external entity.
  Overrides:
    `isExternal` in class `XMLEntityManager.Entity`

### isUnparsed

    public final boolean isUnparsed()

  Returns true if this is an unparsed entity.
  Overrides:
    `isUnparsed` in class `XMLEntityManager.Entity`

### clear

    public void clear()

  Clears the entity.
  Overrides:
    `clear` in class `XMLEntityManager.Entity`

### setValues

    public void setValues(XMLEntityManager.Entity entity)

  Sets the values of the entity.
  Overrides:
    `setValues` in class `XMLEntityManager.Entity`

### setValues

    public void setValues(XMLEntityManager.ExternalEntity entity)

  Sets the values of the entity.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.